Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.core.data
Interface ContainerSet

All Known Implementing Classes:
  EmptyContainerSet

public interface ContainerSet

The ContainerSet interface is a set interface that allows the developer to iterate over the set of documents being stored by a collection.

Method Summary
`Container` | `getNextContainer()` getNextContainer returns the next Container in the set.
`boolean` | `hasMoreContainers()` hasMoreContainers returns whether there are any more Containers left in the set.

Method Detail

### hasMoreContainers

    public boolean hasMoreContainers()
                              throws DBException

  hasMoreContainers returns whether there are any more Containers left in the set.

  Returns:
    Whether there are more Documents
  Throws:
    `DBException`

### getNextContainer

    public Container getNextContainer()
                               throws DBException

  getNextContainer returns the next Container in the set.

  Returns:
    The next Container
  Throws:
    `DBException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group